Index: trunk/java-client/org/nzdl/gsdl/SimpleClient.java
===================================================================
--- trunk/java-client/org/nzdl/gsdl/SimpleClient.java	(revision 2087)
+++ trunk/java-client/org/nzdl/gsdl/SimpleClient.java	(revision 2088)
@@ -52,5 +52,5 @@
 import org.nzdl.service.NzdlResultSet;
 import org.nzdl.service.NzdlService;
-import org.nzdl.service.NzdlServiceImpl;
+import org.nzdl.service.NzdlServiceClient;
 
 /**
@@ -200,5 +200,5 @@
 				      String _IOR) {
     try {
-      nzdl = new NzdlServiceImpl( _args, _props, _IOR);
+      nzdl = new NzdlServiceClient( _args, _props, _IOR);
     } catch (Throwable t) {
       System.err.println ("failed to initialise using:");
Index: trunk/java-client/org/nzdl/gsdl/service/Makefile
===================================================================
--- trunk/java-client/org/nzdl/gsdl/service/Makefile	(revision 2087)
+++ trunk/java-client/org/nzdl/gsdl/service/Makefile	(revision 2088)
@@ -20,5 +20,6 @@
           NzdlResultSet.class \
           NzdlService.class \
-          NzdlServiceImpl.class
+          NzdlServiceClient.class \
+          NzdlServiceServer.class
 
 
Index: trunk/java-client/org/nzdl/gsdl/service/NzdlServiceClient.java
===================================================================
--- trunk/java-client/org/nzdl/gsdl/service/NzdlServiceClient.java	(revision 2088)
+++ trunk/java-client/org/nzdl/gsdl/service/NzdlServiceClient.java	(revision 2088)
@@ -0,0 +1,166 @@
+
+package org.nzdl.service;
+
+import java.io.*;
+import java.util.*;
+/** jdk 1.3 orb */
+import org.omg.CORBA.*;
+/** gsdl corba stuff */
+import org.nzdl.corba.gsdlInterface.*;
+import org.nzdl.util.*;
+
+public class NzdlServiceClient 
+  extends java.lang.Object 
+  implements NzdlService {
+
+  private corbaiface m_nzdlServer = null;
+
+  public NzdlServiceClient( String [] _args, Properties _props, String _IOR) {
+    try {
+      System.err.println("before ORB.init");
+
+      // getting a reference to the remote NZDL server
+      org.omg.CORBA.ORB orb = ORB.init( _args, _props);
+      System.err.println("after ORB.init");
+      System.err.println("after LIS - before IOR");
+
+      org.omg.CORBA.Object obj = orb.string_to_object(_IOR) ;
+      System.err.println("after org stringtoobject");
+      m_nzdlServer = corbaifaceHelper.narrow(obj);
+      System.err.println("after .narrow");
+      // basic setup
+      if (m_nzdlServer.initialise()) {
+	System.err.println("Nzdl init ... YES");
+      }
+      else {
+	System.err.println("Nzdl init ... NO");
+	System.err.println("Aborting service ...");
+	//System.exit(1);
+      }
+      
+    } catch (Exception e) {
+      System.err.println("Error in service init:\n" + e) ;
+      System.err.println("Aborting service ...");
+      System.exit(1);
+    }
+    
+    System.err.println("Service init ... YES");
+  }
+  
+  public void configure( String _key, Set _values ) {
+    m_nzdlServer.configure( NzdlCorbaFactory.toCorbaText( _key ),
+			    NzdlCorbaFactory.toCorbaTextArray( _values ));
+  }
+  
+  public Set getCollectionSet( ) {
+    corbatext_tarrayHolder c_collSet = NzdlCorbaFactory.createCorbaTextArrayHolder();
+    m_nzdlServer.collectionList(c_collSet);
+    Set collSet = new HashSet();
+    for (int i=0; i<c_collSet.value.length; i++) {
+      collSet.add( NzdlCorbaFactory.toString( c_collSet.value[i] ) );
+    }
+    return collSet ;
+  }
+  
+  public boolean hasCollection( String _name ) {
+    corbaComErrorHolder c_err = NzdlCorbaFactory.createComErrorHolder();
+    org.omg.CORBA.BooleanHolder c_has = new org.omg.CORBA.BooleanHolder();
+    m_nzdlServer.hasCollection( NzdlCorbaFactory.toCorbaText(_name), c_has, c_err );
+    if (c_err.value.value() != 0)
+      System.err.println("hasCollection error " + c_err.value.value());
+    return c_has.value;
+  }
+  
+  public boolean pingCollection( String _name ) {
+    corbaComErrorHolder c_err = NzdlCorbaFactory.createComErrorHolder();
+    boolean result  = m_nzdlServer.ping( NzdlCorbaFactory.toCorbaText(_name), c_err );
+    if (c_err.value.value() != 0)
+      System.err.println("pingCollection() error " + c_err.value.value());
+    return result;
+  }
+  
+  public NzdlCollectionInfo getCollectionInfo( String _name ) {
+    corbaComErrorHolder c_err = NzdlCorbaFactory.createComErrorHolder();
+    corbaColInfoResponseHolder c_info = NzdlCorbaFactory.createColInfoResponseHolder();
+    m_nzdlServer.getCollectInfo( NzdlCorbaFactory.toCorbaText(_name), c_info, c_err );
+    if (c_err.value.value() != 0)
+      System.err.println("getCollectionInfo() error " + c_err.value.value());
+    return new NzdlCollectionInfo( c_info.value );
+  }
+
+  public Set getFilterSet( String _name ) {
+    corbaComErrorHolder c_err = NzdlCorbaFactory.createComErrorHolder();
+    corbatext_t c_name = NzdlCorbaFactory.toCorbaText( _name );
+    corbatext_tarrayHolder c_collSet = NzdlCorbaFactory.createCorbaTextArrayHolder();
+    m_nzdlServer.getFilterInfo(c_name, c_collSet,c_err);
+    if (c_err.value.value() != 0)
+      System.err.println("getCollectionInfo() error " + c_err.value.value());
+
+    Set collSet = new HashSet();
+    for (int i=0; i<c_collSet.value.length; i++) {
+      collSet.add( NzdlCorbaFactory.toString( c_collSet.value[i] ) );
+    }
+    return collSet ;
+
+  }
+
+  public Set getMetaTagSet( String _name ) {
+    System.err.println("TO BE IMPLEMENTED: DON'T KNOW HOW YET !!!");
+    return null ;
+  }
+
+  public String getDocument( String _name, String _docID ) {
+    corbatext_t c_name = NzdlCorbaFactory.toCorbaText( _name );
+    corbaDocRequestHolder c_request = NzdlCorbaFactory.createDocRequestHolder( _docID );
+    corbaDocResponseHolder c_response = NzdlCorbaFactory.createDocResponseHolder( );
+    corbaComErrorHolder c_err = NzdlCorbaFactory.createComErrorHolder();
+    m_nzdlServer.getDocument( c_name, c_request, c_response, c_err );
+    if (c_err.value.value() != 0)
+      System.err.println("getDocument() error " + c_err.value.value());
+    return NzdlCorbaFactory.toString( c_response.value.doc );
+  }
+
+  public Set getMetaData( String _name, String _docID, String _metaTag ) {
+    NzdlRequest request  = new NzdlRequest( _docID, _metaTag );
+    NzdlResponse response = new NzdlResponse( );
+    service( _name, request, response );
+    NzdlResultSet resultSet = response.getResultSet();
+    /**
+     * Because a result set may contain several hits, we only return
+     * the set of metadata values of the specifed meta tag for the
+     * specified document ID.
+     */
+    return resultSet.getMetaData( _docID, _metaTag );
+  }
+
+  public Map getMetaData( String _name, List _docIDs, String _metaTag ) {
+    NzdlRequest request  = new NzdlRequest( _docIDs, _metaTag );
+    NzdlResponse response = new NzdlResponse( );
+    service( _name, request, response );
+    NzdlResultSet resultSet = response.getResultSet();
+    //return resultSet.getMetaData( _docID, _metaTag );
+    return resultSet.getMetaData( _metaTag );
+    //return resultSet.getAllMetaData( );
+  }
+  
+  public void service( String _name, NzdlRequest _request, NzdlResponse _response ) {    
+    corbatext_t c_name = NzdlCorbaFactory.toCorbaText( _name );
+    corbaComErrorHolder c_err = NzdlCorbaFactory.createComErrorHolder();
+    m_nzdlServer.filter( c_name, _request.getFilter(), _response.getHolder(), c_err );
+    if (c_err.value.value() != 0)
+      System.err.println("service() error " + c_err.value.value());
+  }
+  
+}
+
+
+
+
+
+
+
+
+
+
+
+
Index: trunk/java-client/org/nzdl/gsdl/service/NzdlServiceImpl.java
===================================================================
--- trunk/java-client/org/nzdl/gsdl/service/NzdlServiceImpl.java	(revision 2087)
+++ 	(revision )
@@ -1,164 +1,0 @@
-
-package org.nzdl.service;
-
-import java.io.*;
-import java.util.*;
-/** jdk 1.3 orb */
-import org.omg.CORBA.*;
-/** gsdl corba stuff */
-import org.nzdl.corba.gsdlInterface.*;
-import org.nzdl.util.*;
-
-public class NzdlServiceImpl extends java.lang.Object implements NzdlService {
-
-  private corbaiface m_nzdlServer = null;
-
-  public NzdlServiceImpl( String [] _args, Properties _props, String _IOR) {
-    try {
-      System.err.println("before ORB.init");
-
-      // getting a reference to the remote NZDL server
-      org.omg.CORBA.ORB orb = ORB.init( _args, _props);
-      System.err.println("after ORB.init");
-      System.err.println("after LIS - before IOR");
-
-      org.omg.CORBA.Object obj = orb.string_to_object(_IOR) ;
-      System.err.println("after org stringtoobject");
-      m_nzdlServer = corbaifaceHelper.narrow(obj);
-      System.err.println("after .narrow");
-      // basic setup
-      if (m_nzdlServer.initialise()) {
-	System.err.println("Nzdl init ... YES");
-      }
-      else {
-	System.err.println("Nzdl init ... NO");
-	System.err.println("Aborting service ...");
-	//System.exit(1);
-      }
-      
-    } catch (Exception e) {
-      System.err.println("Error in service init:\n" + e) ;
-      System.err.println("Aborting service ...");
-      System.exit(1);
-    }
-    
-    System.err.println("Service init ... YES");
-  }
-  
-  public void configure( String _key, Set _values ) {
-    m_nzdlServer.configure( NzdlCorbaFactory.toCorbaText( _key ),
-			    NzdlCorbaFactory.toCorbaTextArray( _values ));
-  }
-  
-  public Set getCollectionSet( ) {
-    corbatext_tarrayHolder c_collSet = NzdlCorbaFactory.createCorbaTextArrayHolder();
-    m_nzdlServer.collectionList(c_collSet);
-    Set collSet = new HashSet();
-    for (int i=0; i<c_collSet.value.length; i++) {
-      collSet.add( NzdlCorbaFactory.toString( c_collSet.value[i] ) );
-    }
-    return collSet ;
-  }
-  
-  public boolean hasCollection( String _name ) {
-    corbaComErrorHolder c_err = NzdlCorbaFactory.createComErrorHolder();
-    org.omg.CORBA.BooleanHolder c_has = new org.omg.CORBA.BooleanHolder();
-    m_nzdlServer.hasCollection( NzdlCorbaFactory.toCorbaText(_name), c_has, c_err );
-    if (c_err.value.value() != 0)
-      System.err.println("hasCollection error " + c_err.value.value());
-    return c_has.value;
-  }
-  
-  public boolean pingCollection( String _name ) {
-    corbaComErrorHolder c_err = NzdlCorbaFactory.createComErrorHolder();
-    boolean result  = m_nzdlServer.ping( NzdlCorbaFactory.toCorbaText(_name), c_err );
-    if (c_err.value.value() != 0)
-      System.err.println("pingCollection() error " + c_err.value.value());
-    return result;
-  }
-  
-  public NzdlCollectionInfo getCollectionInfo( String _name ) {
-    corbaComErrorHolder c_err = NzdlCorbaFactory.createComErrorHolder();
-    corbaColInfoResponseHolder c_info = NzdlCorbaFactory.createColInfoResponseHolder();
-    m_nzdlServer.getCollectInfo( NzdlCorbaFactory.toCorbaText(_name), c_info, c_err );
-    if (c_err.value.value() != 0)
-      System.err.println("getCollectionInfo() error " + c_err.value.value());
-    return new NzdlCollectionInfo( c_info.value );
-  }
-
-  public Set getFilterSet( String _name ) {
-    corbaComErrorHolder c_err = NzdlCorbaFactory.createComErrorHolder();
-    corbatext_t c_name = NzdlCorbaFactory.toCorbaText( _name );
-    corbatext_tarrayHolder c_collSet = NzdlCorbaFactory.createCorbaTextArrayHolder();
-    m_nzdlServer.getFilterInfo(c_name, c_collSet,c_err);
-    if (c_err.value.value() != 0)
-      System.err.println("getCollectionInfo() error " + c_err.value.value());
-
-    Set collSet = new HashSet();
-    for (int i=0; i<c_collSet.value.length; i++) {
-      collSet.add( NzdlCorbaFactory.toString( c_collSet.value[i] ) );
-    }
-    return collSet ;
-
-  }
-
-  public Set getMetaTagSet( String _name ) {
-    System.err.println("TO BE IMPLEMENTED: DON'T KNOW HOW YET !!!");
-    return null ;
-  }
-
-  public String getDocument( String _name, String _docID ) {
-    corbatext_t c_name = NzdlCorbaFactory.toCorbaText( _name );
-    corbaDocRequestHolder c_request = NzdlCorbaFactory.createDocRequestHolder( _docID );
-    corbaDocResponseHolder c_response = NzdlCorbaFactory.createDocResponseHolder( );
-    corbaComErrorHolder c_err = NzdlCorbaFactory.createComErrorHolder();
-    m_nzdlServer.getDocument( c_name, c_request, c_response, c_err );
-    if (c_err.value.value() != 0)
-      System.err.println("getDocument() error " + c_err.value.value());
-    return NzdlCorbaFactory.toString( c_response.value.doc );
-  }
-
-  public Set getMetaData( String _name, String _docID, String _metaTag ) {
-    NzdlRequest request  = new NzdlRequest( _docID, _metaTag );
-    NzdlResponse response = new NzdlResponse( );
-    service( _name, request, response );
-    NzdlResultSet resultSet = response.getResultSet();
-    /**
-     * Because a result set may contain several hits, we only return
-     * the set of metadata values of the specifed meta tag for the
-     * specified document ID.
-     */
-    return resultSet.getMetaData( _docID, _metaTag );
-  }
-
-  public Map getMetaData( String _name, List _docIDs, String _metaTag ) {
-    NzdlRequest request  = new NzdlRequest( _docIDs, _metaTag );
-    NzdlResponse response = new NzdlResponse( );
-    service( _name, request, response );
-    NzdlResultSet resultSet = response.getResultSet();
-    //return resultSet.getMetaData( _docID, _metaTag );
-    return resultSet.getMetaData( _metaTag );
-    //return resultSet.getAllMetaData( );
-  }
-  
-  public void service( String _name, NzdlRequest _request, NzdlResponse _response ) {    
-    corbatext_t c_name = NzdlCorbaFactory.toCorbaText( _name );
-    corbaComErrorHolder c_err = NzdlCorbaFactory.createComErrorHolder();
-    m_nzdlServer.filter( c_name, _request.getFilter(), _response.getHolder(), c_err );
-    if (c_err.value.value() != 0)
-      System.err.println("service() error " + c_err.value.value());
-  }
-  
-}
-
-
-
-
-
-
-
-
-
-
-
-
Index: trunk/java-client/org/nzdl/gsdl/service/NzdlServiceServer.java
===================================================================
--- trunk/java-client/org/nzdl/gsdl/service/NzdlServiceServer.java	(revision 2088)
+++ trunk/java-client/org/nzdl/gsdl/service/NzdlServiceServer.java	(revision 2088)
@@ -0,0 +1,192 @@
+/*
+ *    SimpleServer.java
+ *    Copyright (C) 2000 Stuart Yeates 
+ *
+ *    This program is free software; you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation; either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    This program is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with this program; if not, write to the Free Software
+ *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
+
+// the package we're in
+package org.nzdl;
+
+// java standard library classes used
+import java.io.IOException;
+import java.io.Serializable;
+import java.lang.Cloneable;
+import java.util.*;
+
+// HelloServer will use the naming service.
+import org.omg.CosNaming.*;
+// The package containing special exceptions thrown by the name service.
+//import org.omg.CosNaming.NamingContextPackage.*;
+// All CORBA applications need these classes.
+import org.omg.CORBA.ORB;
+
+// local libraries
+import org.nzdl.corba.gsdlInterface.*;
+import org.nzdl.service.NzdlCollectionInfo; 
+import org.nzdl.service.NzdlQuery;
+import org.nzdl.service.NzdlRequest;
+import org.nzdl.service.NzdlResponse;
+import org.nzdl.service.NzdlResultSet;
+import org.nzdl.service.NzdlService;
+import org.nzdl.util.NzdlCorbaFactory;
+
+
+/**
+ * SimpleServer
+ *
+ * Based on algorithms in ...
+ *
+ * @author stuart yeates (say1@cs.waikato.ac.nz)
+ * @version $Revision$
+ * @see
+ * @see
+ * @see
+ * 
+ */
+
+
+class NzdlServer extends _corbaifaceImplBase {
+
+  NzdlService nzdl = null;
+  
+  NzdlServer(NzdlService service) {
+    nzdl = service;
+  }
+  
+  NzdlServer() {
+    nzdl = null;
+  }
+
+  public boolean initialise () {
+    // TODO should map the anything in NzdlService?
+    if (nzdl == null)
+      throw new Error ("NzdlServer needs a NzdlService to foward calls to ...");
+    return true;
+  }
+  public void configure (corbatext_t key, 
+		  corbatext_t[] cfgline) {
+//      m_nzdlServer.configure( NzdlCorbaFactory.toCorbaText( _key ),
+//  			    NzdlCorbaFactory.toCorbaTextArray( _values ));
+
+    nzdl.configure( NzdlCorbaFactory.toString(key),
+		    NzdlCorbaFactory.toSet(cfgline));
+  }
+
+  public void collectionList (corbatext_tarrayHolder collist) {
+    //corbatext_tarrayHolder c_collSet = NzdlCorbaFactory.createCorbaTextArrayHolder();
+    //m_nzdlServer.collectionList(c_collSet);
+    //Set collSet = new HashSet();
+    //for (int i=0; i<c_collSet.value.length; i++) {
+    //  collSet.add( NzdlCorbaFactory.toString( c_collSet.value[i] ) );
+    //}
+    //return collSet ;
+    Set set = nzdl.getCollectionSet();
+
+    Iterator itr = set.iterator();
+    int i = 0;
+    while (itr.hasNext()) {
+      String s = (String) itr.next();
+       collist.value[i++] = NzdlCorbaFactory.toCorbaText(s);
+    }
+
+    return;
+  }
+  public void hasCollection (corbatext_t corbaCollection,
+		      org.omg.CORBA.BooleanHolder has, 
+		      corbaComErrorHolder error) {
+//      corbaComErrorHolder c_err = NzdlCorbaFactory.createComErrorHolder();
+//      org.omg.CORBA.BooleanHolder c_has = new org.omg.CORBA.BooleanHolder();
+//      m_nzdlServer.hasCollection( NzdlCorbaFactory.toCorbaText(_name), c_has, c_err );
+//      if (c_err.value.value() != 0)
+//        System.err.println("hasCollection error " + c_err.value.value());
+//      return c_has.value;
+    String name = NzdlCorbaFactory.toString(corbaCollection);
+    has.value  = nzdl.hasCollection(name);
+    return;
+  }
+  public boolean ping (corbatext_t collection, 
+		corbaComErrorHolder error) {
+    String name = NzdlCorbaFactory.toString(collection);
+    return  nzdl.hasCollection(name);
+  }
+  public void getDocument (corbatext_t collection, 
+		    corbaDocRequestHolder request, 
+		    corbaDocResponseHolder response, 
+		    corbaComErrorHolder error) {
+//      corbatext_t c_name = NzdlCorbaFactory.toCorbaText( _name );
+//      corbaDocRequestHolder c_request = NzdlCorbaFactory.createDocRequestHolder( _docID );
+//      corbaDocResponseHolder c_response = NzdlCorbaFactory.createDocResponseHolder( );
+//      corbaComErrorHolder c_err = NzdlCorbaFactory.createComErrorHolder();
+//      m_nzdlServer.getDocument( c_name, c_request, c_response, c_err );
+//      if (c_err.value.value() != 0)
+//        System.err.println("getDocument() error " + c_err.value.value());
+//      return NzdlCorbaFactory.toString( c_response.value.doc );
+    String collectionName = NzdlCorbaFactory.toString(collection);
+    String documentID = NzdlCorbaFactory.toString(request.value.OID);
+    String doc = nzdl.getDocument( collectionName, documentID );
+    response.value.doc = NzdlCorbaFactory.toCorbaText(doc);
+    return;
+  }
+  public void getCollectInfo (corbatext_t collection, 
+		       corbaColInfoResponseHolder response, 
+		       corbaComErrorHolder error) {
+//      corbaComErrorHolder c_err = NzdlCorbaFactory.createComErrorHolder();
+//      corbaColInfoResponseHolder c_info = NzdlCorbaFactory.createColInfoResponseHolder();
+//      m_nzdlServer.getCollectInfo( NzdlCorbaFactory.toCorbaText(_name), c_info, c_err );
+//      if (c_err.value.value() != 0)
+//        System.err.println("getCollectionInfo() error " + c_err.value.value());
+//      return new NzdlCollectionInfo( c_info.value );
+    String collectionName = NzdlCorbaFactory.toString(collection);
+    NzdlCollectionInfo info = nzdl.getCollectionInfo( collectionName );
+    response.value = info.getInfo();
+    return;
+  }
+  public void getFilterInfo (corbatext_t collection, 
+		      corbatext_tarrayHolder filterNames, 
+		      corbaComErrorHolder error) {
+    String collectionName = NzdlCorbaFactory.toString(collection);
+ 
+    Set set = nzdl.getFilterSet(collectionName);
+
+    Iterator itr = set.iterator();
+    int i = 0;
+    while (itr.hasNext()) {
+      String s = (String) itr.next();
+       filterNames.value[i++] = NzdlCorbaFactory.toCorbaText(s);
+    }
+
+    return;
+  }
+  public void getFilterOptions (corbatext_t collection, 
+			 corbatext_t option, 
+			 corbaFilterOptionsResponseHolder response, 
+			 corbaComErrorHolder error) {
+    String collectionName = NzdlCorbaFactory.toString(collection);
+        System.err.println("TO BE IMPLEMENTED: DON'T KNOW HOW YET !!!");
+
+    return;
+      }
+  public  void filter (corbatext_t collection, 
+	       corbaFilterRequest request, 
+	       corbaFilterResponseHolder response, 
+	       corbaComErrorHolder error) {
+    String collectionName = NzdlCorbaFactory.toString(collection);
+    System.err.println("TO BE IMPLEMENTED: DON'T KNOW HOW YET !!!");
+    return;
+  }
+}
+
+
Index: trunk/java-client/org/nzdl/gsdl/util/NzdlHosts.java
===================================================================
--- trunk/java-client/org/nzdl/gsdl/util/NzdlHosts.java	(revision 2087)
+++ trunk/java-client/org/nzdl/gsdl/util/NzdlHosts.java	(revision 2088)
@@ -155,7 +155,7 @@
 
     try {
-      nzdl = new NzdlServiceImpl(null,null,getIOR(code));
+      nzdl = new NzdlServiceClient(null,null,getIOR(code));
     } catch (Throwable throwable) {
-      System.err.println("NzdlHosts::getHost() constructing NzdlServiceImpl(" + 
+      System.err.println("NzdlHosts::getHost() constructing NzdlServiceClient(" + 
 			   code + ") " + throwable);
     }
@@ -173,8 +173,8 @@
       String code = (String) e.nextElement();
       try {
-	NzdlService nzdl = new NzdlServiceImpl(null,null,getIOR(code));
+	NzdlService nzdl = new NzdlServiceClient(null,null,getIOR(code));
 	results.addElement(nzdl);
       } catch (Throwable throwable) {
-	System.err.println("NzdlHosts::getHost() constructing NzdlServiceImpl(" + 
+	System.err.println("NzdlHosts::getHost() constructing NzdlServiceClient(" + 
 			   code + "): " + throwable);
       }
@@ -187,8 +187,8 @@
 
     try {
-      nzdl = new NzdlServiceImpl( _args, _props, null);
+      nzdl = new NzdlServiceClient( _args, _props, null);
     } catch (Throwable throwable) {
       System.err.println("NzdlHosts::hostFromCommandlineArgs() constructing " +
-			 "NzdlServiceImpl() " + throwable);
+			 "NzdlServiceClient() " + throwable);
       
     }